.\" This manpage is copyright (C) 2000, 2001 Progeny Linux Systems, Inc.
.\" Author: Branden Robinson <branden@progeny.com>
.\"
.\" This is free software; you may redistribute it and/or modify
.\" it under the terms of the GNU General Public License as
.\" published by the Free Software Foundation; either version 2,
.\" or (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful, but
.\" WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with the Debian GNU/Linux system; if not, write to the Free
.\" Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
.\" 02111-1307 USA
.TH update-autoinst-disk 1 "2001-07-09" "Debian GNU/Linux"
.SH NAME
update-autoinst-disk \- update bootable autoinstaller floppy disk
.SH SYNOPSIS
update-autoinst-disk
.SH DESCRIPTION
.B update-autoinst-disk
updates a bootable floppy disk for the operating system autoinstaller.  It
takes no arguments, and is used to update the initial ramdisk (initrd) and
configuration files on the floppy, but not the kernel image itself.
.PP
To create a bootable autoinstall floppy from scratch, use
.BR make-autoinst-initrd (1) and
.BR make-autoinst-disk (1).
.SH ENVIRONMENT
.TP
TMPDIR
Temporary directory under which a directory is created to be used for
construction of the ext2 filesystem.  If omitted, \fI/tmp\fP is used.
.SH FILES
.TP
.IR initrd.gz
An initial ramdisk, typically created by
.BR make-autoinst-initrd (1),
is expected to be present in the current directory.
.TP
.IR conf/
A configuration directory for the autoinstaller is expected to be present
in the current directory.
.SH AUTHOR
Jeff Licquia et al. for Progeny Linux Systems.
.SH SEE ALSO
.BR make-autoinst-initrd (1),
.BR make-autoinst-disk (1)
